<?php

namespace Drupal\xi_updater\Commands;


use Drupal\xi_updater\ProfileUpdater;
use Drush\Commands\DrushCommands;

/**
 * Class XiUpdaterCommands
 *
 * @package Drupal\xi_updater\Commands
 */
class XiUpdaterCommands extends DrushCommands {

  /**
   * @var \Drupal\xi_updater\ProfileUpdater
   */
  protected $profileUpdater;

  /**
   * XiUpdaterCommands constructor.
   *
   * @param \Drupal\xi_updater\ProfileUpdater $profileUpdater
   */
  public function __construct(ProfileUpdater $profileUpdater) {
    parent::__construct();
    $this->profileUpdater = $profileUpdater;
  }

  /**
   * Check the status of the updates.
   *
   * @command xi-updater:check-updates
   *
   * @usage drush xi-updater:check-updates
   *   Check the status of updates that were performed with profile.
   *
   * @validate-module-enabled xi_updater
   *
   * @aliases xi-cu, xi-updater-check-updates
   */
  public function checkUpdates() {
    $this->profileUpdater->checkUpdatesStatus();
  }

}
