<?php

namespace Drupal\xi_updater\Reflection\DocTag;


use phpDocumentor\Reflection\DocBlock\Description;
use phpDocumentor\Reflection\DocBlock\DescriptionFactory;
use phpDocumentor\Reflection\DocBlock\Tags\BaseTag;
use phpDocumentor\Reflection\Types\Context;
use Webmozart\Assert\Assert;

/**
 * Class ProfileBaseTag
 *
 * @package Drupal\xi_updater\Reflection\DocTag
 */
class ProfileBaseTag extends BaseTag {

  /**
   * {@inheritDoc}
   */
  public function __construct(Description $description = null) {
    $this->description = $description;
  }

  /**
   * {@inheritDoc}
   */
  public static function create($body, DescriptionFactory $descriptionFactory = null, Context $context = null) {
    Assert::notNull($descriptionFactory);
    return new static($descriptionFactory->create($body, $context));
  }

  /**
   * {@inheritDoc}
   */
  public function __toString(): string {
    return (string)$this->description;
  }

}
