<?php

namespace Drupal\xi_updater;

use Drupal\Core\KeyValueStore\KeyValueStoreInterface;
use Drupal\Core\Update\UpdateHookRegistry as CoreUpdateHookRegistry;

/**
 * Overriden class UpdateHookRegistry.
 */
class UpdateHookRegistry extends CoreUpdateHookRegistry {

  /**
   * @var \Drupal\xi_updater\ProfileUpdater
   */
  protected $profileUpdater;

  /**
   * @param array $enabled_modules
   * @param \Drupal\Core\KeyValueStore\KeyValueStoreInterface $key_value
   * @param \Drupal\xi_updater\ProfileUpdater $profile_updater
   */
  public function __construct(array $enabled_modules, KeyValueStoreInterface $key_value, ProfileUpdater $profile_updater) {
    parent::__construct($enabled_modules, $key_value);
    $this->profileUpdater = $profile_updater;
  }

  /**
   * {@inheritdoc}
   */
  public function setInstalledVersion(string $module, int $version): self {
    parent::setInstalledVersion($module, $version);
    $function_name = $module. '_update_' . $version;
    $this->profileUpdater->createUpdate($function_name);
    return $this;
  }

}
