<?php

namespace Drupal\xi_updater;

use Drupal\Core\Update\UpdateHookRegistryFactory as CoreUpdateHookRegistryFactory;

/**
 * Override UpdateHookRegistryFactory service.
 */
class UpdateHookRegistryFactory extends CoreUpdateHookRegistryFactory {

  /**
   * Creates a new UpdateHookRegistry instance.
   *
   * @return \Drupal\xi_updater\UpdateHookRegistry
   *   The update registry instance.
   */
  public function create() {
    return new UpdateHookRegistry(
      array_keys($this->container->get('module_handler')->getModuleList()),
      $this->container->get('keyvalue')->get('system.schema'),
      $this->container->get('xi_updater.check_updates')
    );
  }

}
